petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscAbs

Returns the absolute value of a number

### Synopsis

    #include <petscmath.h>
    type PetscAbs(type v)

Not Collective

### Input Parameter

v -the number

### Notes

type can be integer or real floating point value

### See Also

PetscAbsInt(), PetscAbsReal(), PetscAbsScalar()

### Level

beginner

### Location

include/petscmath.h

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex9.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages